<!DOCTYPE html>
<html lang="ja">
  <head>
    <meta content="text/html; charset=euc-jp" http-equiv="content-type" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
<?php if (isset($out["desc"])) { ?>
    <meta property="og:site_name" content="vixip" />
    <meta property="og:title" content="vixip 〜 <?= htmlspecialchars($out["title"]) ?>" />
    <meta property="og:type" content="article" />
    <meta property="og:description" content="<?= htmlspecialchars($out["desc"]) ?>" />
    <meta property="og:url" content="<?= SITEURL.$cur ?>" />
    <link rel="canonical" href="<?= SITEURL.$cur ?>" />
    <meta property="twitter:card" content="summary_large_image" />
    <meta property="twitter:url" content="<?= SITEURL.$cur ?>" />
    <meta property="twitter:title" content="vixip 〜 <?= htmlspecialchars($out["title"]) ?>" />
    <meta property="twitter:description" content="<?= htmlspecialchars($out["desc"]) ?>" />
<?php if (isset($out["img_sec"])) { ?>
    <meta property="twitter:image" content="<?= SITEURL."/".$out["img_sec"].".php?".($out["img_sec"] == "artwork" ? "illust_" : "")."id=".$out["img_id"] ?>" />
    <meta property="og:image" content="<?= SITEURL."/".$out["img_sec"].".php?".($out["img_sec"] == "artwork" ? "illust_" : "")."id=".$out["img_id"] ?>" />
<?php } else { ?>
    <meta property="twitter:image" content="<?= SITEURL ?>/logo.png" />
    <meta property="og:image" content="<?= SITEURL ?>/logo.png" />
<?php } ?>
    <meta name="robots" content="max-image-preview:large" />
    <meta name="description" content="<?= htmlspecialchars($out["desc"]) ?>" />
<?php } ?>
    <?php if (isset($out["img"])) { ?><meta name="thumbnail" content="<?= $out["img"] ?>" /><?php } ?>
    <title>vixip 〜 <?= htmlspecialchars($out["title"]) ?></title>
    <link rel="stylesheet" type="text/css" href="/style.css" />
  </head>
  <body>
    <div class="header">
      <form action="/search" method="get">
        <a href="/" style="padding-right: 12px;">vixip</a>
        <input type="text" value="" class="searchbar" name="q" placeholder="商品を検索" />
        <button class="searchbtn">検索</button>
      </form>
    </div>
    <div class="container">
