<?php
  require_once("../../api.php");
  if (!isset($_GET["id"])) header("Location: /404.php");
  $id = (int)$_GET["id"];
  $cur = "/users/?id=".$id;
  $res = get("user/".$id."/profile/all");
  if (!isset($res->body)) {
    header("Location: /404.php");
    die();
  }
  $top = get("user/".$id."/profile/top");
  $res = $res->body;
  $top = $top->body;
  $out = ["title" => $top->extraData->meta->title, "desc" => $top->extraData->meta->description, "img_sec" => "userhead", "img_id" => $id];
?>

<?php
  include("../../include/header.php");
  $title = $top->extraData->meta->ogp->title;
  $now = "home";
  $bmc = $res->bookmarkCount->public->illust;
  $ilc = count((array)$res->illusts);
  $mgc = count((array)$res->manga);
  include("../../include/usermenu.php");
  unset($res);
?>
<hr />
<p>
  <?= nl2br($top->extraData->meta->twitter->description) ?>
</p>
<?php
  unset($top);
?>
<?php include("../../include/footer.php"); ?>
